%define src_ver 1.0
%define languagelocal romana
%define languageeng romanian
%define languagecode ro

Summary: 	Romanian files for ispell
Name: 		ispell-%{languagecode} 
# this files haven't any version information at all; "1.0" taken arbitrairly
Version: 	1.0.1
Release: 	4mdk
URL: 		http://www.cs.cmu.edu/~mihaib/
# dated 2002-02-18
Source:		http://www.cs.cmu.edu/~mihaib/ftp/rom-spell.tar.bz2
Patch: 	        rom-spell-7bit.diff.bz2
License: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides: spell-ro

Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides: ispell-dictionary = 3.2.06

%description
ispell-ro has the spelling data for Romanian which is used by
the ispell program. With this extension, you can compose a document
in Romanian and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc.

%prep
%setup -n rom-spell
%patch0 -p 0
%build
# convert to 8bits
cat rom.signs.dict | sed 's|"a||g' | sed 's|"A||g' | sed "s|'i||g" | \
	sed "s|'I||g" | sed "s|'s||g" | sed "s|'S||g" | sed "s|'t||g" | \
	sed "s|'T||g" | sed "s|'a||g" | sed "s|'A||g"  > %{languagelocal}.hash

mv -f rom.signs.aff %{languagelocal}.aff
mv -f rom.dict rom7.hash
mv -f rom.aff rom7.aff

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

install -m 644 rom7.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/
install -m 644 rom7.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash

 ln -s %{languagelocal}.aff rom.signs.aff
 ln -s %{languagelocal}.hash rom.signs.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

mv -f rom7.hash rom7.ispell
buildhash rom7.ispell rom7.aff rom7.hash &> /dev/null
rm -f rom7.ispell.stat rom7.ispell.cnt rom7.ispell

%files
%defattr(644, root, root,755)
%doc README* rom-spell.tex romana-.sty
%{_prefix}/lib/ispell/*

%changelog
* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 1.0.1-4mdk
- add tag Provides spell-ro

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-3mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.1-2mdk
- changed Requires: ispell to PreReq: ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.1-1mdk
- rebuild for new ispell
- updated dictionnary

* Tue Nov 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-7mdk
- updated dictionnary

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-6mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-5mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-4mdk
- BM

* Tue Apr 25 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- corrected the bug with inverted a^ / a( letters.

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-2mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.
